com.ibm.openpages.api.workflow

## Interface IEvaluationContext

- All Known Subinterfaces:
    IWFOperationContext

      public interface IEvaluationContext

  Represents context object when the `IWFEvalUnit` is evaluated for the workflow operations and beyond.
  Since:
    8.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearObjectsCache()` Related object references are cached, but it gets stale when the related objects are updated via workflow custom actions or other persisting operations.
    `java.lang.Object` | `getAttribute(java.lang.String attributeName)` Returns the value of attribute in the context.
    `ITypeDefinition` | `getObjectType()` Returns the object type of the GRCObject in the context.
    `java.lang.String` | `getOperationName()` Returns the current operation name which can be used by the error/information messages.
    `IGRCObject` | `getResource()` Returns the GRCObject associated in this context.
    `Id` | `getResourceId()` Returns the id of the GRCObject associated in this context.
    `IServiceFactory` | `getServiceFactory()` Returns the service factory.
    `java.time.LocalDate` | `getToday()` Returns the `LocalDate` that represents today
    `IUser` | `getUser()` Returns user who runs the operation in the context.

- - ### Method Detail

    - #### getServiceFactory

          IServiceFactory getServiceFactory()

      Returns the service factory. Refer `IServiceFactory`
      Returns:

    - #### getResourceId

          Id getResourceId()

      Returns the id of the GRCObject associated in this context.
      Returns:

    - #### getResource

          IGRCObject getResource()

      Returns the GRCObject associated in this context.
      Returns:

    - #### clearObjectsCache

          void clearObjectsCache()

      Related object references are cached, but it gets stale when the related objects are updated via workflow custom actions or other persisting operations. Call this API to clear the stale cache, so the next property look up fetches the related objects from the database.

    - #### getObjectType

          ITypeDefinition getObjectType()

      Returns the object type of the GRCObject in the context.
      Returns:

    - #### getAttribute

          java.lang.Object getAttribute(java.lang.String attributeName)

      Returns the value of attribute in the context.
      Parameters:
        `attributeName` -
      Returns:

    - #### getUser

          IUser getUser()

      Returns user who runs the operation in the context.
      Returns:

    - #### getToday

          java.time.LocalDate getToday()

      Returns the `LocalDate` that represents today
      Returns:
      Since:
        8.2

    - #### getOperationName

          java.lang.String getOperationName()

      Returns the current operation name which can be used by the error/information messages.
      Returns:
      Since:
        8.2

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2020. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.